Install XKey vmod
Closed, ResolvedPublic

Description

https://github.com/varnish/libvmod-xkey

This allows us to do alternate hashes for purging (e.g. article ID keys or thumbnail keys based on the original, etc)

May require Varnish 4.1 specifically, as opposed to 4.0.

Related Objects

BBlack created this task.Jan 5 2016, 2:26 PM
BBlack updated the task description. (Show Details)
BBlack raised the priority of this task from to Needs Triage.
BBlack added projects: Operations, Traffic.
BBlack added a subscriber: BBlack.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 5 2016, 2:26 PM
ema triaged this task as Normal priority.Mar 2 2016, 9:58 AM
ema claimed this task.
ema set Security to None.
hoo added a subscriber: hoo.Mar 3 2016, 1:03 AM
Gilles added a subscriber: Gilles.Jun 30 2016, 8:51 PM
ema moved this task from Triage to In Progress on the Traffic board.Jul 8 2016, 9:51 AM
ema added a comment.Jul 8 2016, 3:02 PM

The XKey vmod is part of a collection of VMODs called varnish-modules, already packaged in Debian.

I've just added a versioned build-dep on varnish > 4 to make sure the package can be built on Jessie. It's now a matter of building the package on copper and testing it out.

ema added a comment.Jul 12 2016, 10:29 AM

varnish-module is now available for testing on apt.wikimedia.org (jessie-wikimedia/backports).

Change 304189 had a related patch set uploaded (by Ema):
Install package varnish-modules on v4 hosts

https://gerrit.wikimedia.org/r/304189

Change 304189 merged by Ema:
Install package varnish-modules on v4 hosts

https://gerrit.wikimedia.org/r/304189

ema closed this task as Resolved.Aug 11 2016, 2:45 PM